> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Metric Results

> Paginated list of metric results. Filter results using the query parameters,



## OpenAPI

````yaml /latest.yml GET /agents/metrics/results
openapi: 3.0.1
info:
  title: Cartesia API
  version: 0.0.1
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /agents/metrics/results:
    get:
      tags:
        - Agents
      summary: List Metric Results
      description: >-
        Paginated list of metric results. Filter results using the query
        parameters,
      operationId: agents_list-metric-results
      parameters:
        - $ref: '#/components/parameters/CartesiaVersionHeader'
        - name: agent_id
          in: query
          description: The ID of the agent.
          required: false
          schema:
            type: string
            nullable: true
        - name: deployment_id
          in: query
          description: The ID of the deployment.
          required: false
          schema:
            type: string
            nullable: true
        - name: metric_id
          in: query
          description: The ID of the metric.
          required: false
          schema:
            type: string
            nullable: true
        - name: start_date
          in: query
          description: Filter metric results created at or after this RFC 3339 datetime.
          required: false
          schema:
            type: string
            format: date-time
            nullable: true
            example: '2024-04-01T00:00:00Z'
        - name: end_date
          in: query
          description: Filter metric results created before or at this RFC 3339 datetime.
          required: false
          schema:
            type: string
            format: date-time
            nullable: true
            example: '2024-04-30T23:59:59Z'
        - name: call_id
          in: query
          description: The ID of the call.
          required: false
          schema:
            type: string
            nullable: true
        - name: starting_after
          in: query
          description: >-
            A cursor to use in pagination. `starting_after` is a metric result
            ID that defines your place in the list. For example, if you make a
            /metrics/results request and receive 100 objects, ending with
            `metric_result_abc123`, your subsequent call can include
            `starting_after=metric_result_abc123` to fetch the next page of the
            list.
          required: false
          schema:
            type: string
            nullable: true
        - name: ending_before
          in: query
          description: >-
            A cursor to use in pagination. `ending_before` is a metric result ID
            that defines your place in the list. For example, if you make a
            /metrics/results request and receive 100 objects, starting with
            `metric_result_abc123`, your subsequent call can include
            `ending_before=metric_result_abc123` to fetch the previous page of
            the list.
          required: false
          schema:
            type: string
            nullable: true
        - name: limit
          in: query
          description: >-
            The number of metric results to return per page, ranging between 1
            and 100.
          required: false
          schema:
            type: integer
            nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListMetricResultsResponse'
      security:
        - APIKeyAuth: []
components:
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2026-03-01'
        enum:
          - '2026-03-01'
  schemas:
    ListMetricResultsResponse:
      title: ListMetricResultsResponse
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/MetricResult'
          description: List of metric results.
        has_more:
          type: boolean
          description: >-
            Whether there are more metric results to fetch (using
            `starting_after=id`, where id is the ID of the last MetricResult in
            the current response).
        next_page:
          type: string
          nullable: true
          description: The cursor for the next page of results.
      required:
        - data
        - has_more
    MetricResult:
      title: MetricResult
      type: object
      properties:
        id:
          type: string
          description: The unique identifier for the metric result.
        metricId:
          type: string
          description: The identifier of the metric being measured.
        metricName:
          type: string
          description: The name of the metric being measured.
        metricDisplayName:
          type: string
          nullable: true
          description: The display name of the metric, if available.
        summary:
          type: string
          description: A summary of the transcript of the call.
        transcript:
          type: array
          items:
            $ref: '#/components/schemas/AgentTranscript'
          nullable: true
          description: The transcript of the call.
        agentId:
          type: string
          description: The identifier of the agent associated with the metric result.
        callId:
          type: string
          description: The identifier of the call associated with the metric result.
        deploymentId:
          type: string
          description: The identifier of the deployment associated with the metric result.
        result:
          type: string
          description: The raw result of the metric in a string format.
        jsonResult:
          type: object
          additionalProperties: true
          nullable: true
          description: The structured JSON result of the metric.
        value:
          nullable: true
          description: The value of the metric result.
        status:
          $ref: '#/components/schemas/AgentMetricResultStatus'
          description: The status of the metric result.
        runId:
          type: string
          nullable: true
          description: >-
            The identifier of the run associated with the metric result, if
            applicable.
        createdAt:
          type: string
          format: date-time
          description: The UTC timestamp when the metric result was created.
      required:
        - id
        - metricId
        - metricName
        - summary
        - agentId
        - callId
        - deploymentId
        - result
        - status
        - createdAt
    AgentTranscript:
      title: AgentTranscript
      type: object
      properties:
        role:
          type: string
          description: >-
            The role of the participant in the conversation. Roles are `user`,
            `assistant`, or `system`. `assistant` is the agent. `system` is used
            to indicate logs during the conversation such as `log_event` or
            `log_metric`.
        text:
          type: string
          nullable: true
          description: >-
            The text content of the transcript. This is the text that was spoken
            by the user or the agent.
        text_chunks:
          type: array
          items:
            $ref: '#/components/schemas/TextChunk'
          nullable: true
          description: >-
            The chunks of text at a more granular level in the transcript with
            timestamps relative to the start of the call.
        start_timestamp:
          type: number
          format: float
          description: The start timestamp in seconds relative to the start of the call.
        end_timestamp:
          type: number
          format: float
          description: The end timestamp in seconds relative to the start of the call.
        end_reason:
          type: string
          nullable: true
          description: >-
            The reason for why the assistant turn ended. This could be
            `call_ended`, `interrupted`, or `tts_completed`.
        tool_calls:
          type: array
          items:
            $ref: '#/components/schemas/ToolCall'
          nullable: true
          description: The tool calls made during the turn.
        vad_buffer_ms:
          type: integer
          nullable: true
          description: The VAD buffer time in milliseconds.
        stt_ttfb:
          type: number
          format: float
          nullable: true
          description: The time to first byte in seconds for speech-to-text.
        tts_ttfb:
          type: number
          format: float
          nullable: true
          description: The time to first byte in seconds from the agent for text-to-speech.
        log_event:
          $ref: '#/components/schemas/LogEvent'
          nullable: true
          description: The log event from agent code.
        log_metric:
          $ref: '#/components/schemas/LogMetric'
          nullable: true
          description: The log metric from agent code.
      required:
        - role
        - start_timestamp
        - end_timestamp
    AgentMetricResultStatus:
      title: AgentMetricResultStatus
      type: string
      enum:
        - completed
        - failed
      description: >-
        The status of an agent metric result. `failed` indicates that the metric
        result was not computed or parsed properly.
    TextChunk:
      title: TextChunk
      type: object
      properties:
        text:
          type: string
          description: The text content of the chunk.
        start_timestamp:
          type: number
          format: double
          description: >-
            The starting timestamp of the text chunk in seconds relative to the
            start of the call.
      required:
        - text
        - start_timestamp
    ToolCall:
      title: ToolCall
      type: object
      properties:
        id:
          type: string
          description: The unique identifier for the tool call.
        name:
          type: string
          description: The name of the tool that was called.
        arguments:
          type: object
          additionalProperties: true
          description: The arguments passed to the tool.
        result:
          type: string
          description: The result returned by the tool.
      required:
        - id
        - name
        - arguments
    LogEvent:
      title: LogEvent
      type: object
      properties:
        event:
          type: string
          description: The event name.
        metadata:
          type: object
          additionalProperties:
            type: string
          description: Additional metadata associated with the event.
        timestamp:
          type: number
          format: double
          description: >-
            The timestamp when the event was received relative to the start of
            the call.
      required:
        - event
        - metadata
        - timestamp
    LogMetric:
      title: LogMetric
      type: object
      properties:
        name:
          type: string
          description: The name of the metric.
        value:
          type: number
          format: double
          description: The value of the metric.
        timestamp:
          type: number
          format: double
          description: >-
            The timestamp when the metric was received relative to the start of
            the call.
      required:
        - name
        - value
        - timestamp
  securitySchemes:
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Cartesia API key (`sk_car_...`). Get one at
        [play.cartesia.ai/keys](https://play.cartesia.ai/keys).

````